<script setup >
import { Head, Link, useForm } from '@inertiajs/vue3';

const props = defineProps({
    errors: {},
    status:Object,
})

const form = useForm({
    email: null,
    password: null,
    remember: null,
});

const submit = () => {
    form.post(route('admin.login'), {
        onFinish: () => form.reset('password'),
        preserveScroll: true
    });
};
</script>

<template>
    <Head title="Вход в личный кабинет админа" />
    <body class="text-center">
    <main style="margin-top: 200px;padding-bottom: 300px;" class="form-signin">
        <form @submit.prevent="submit()">
            <h1 class="h3 mb-3 fw-normal">Вход</h1>

            <div class="form-floating">
                <input v-model="form.email" type="email" class="form-control"  placeholder="name@example.com">
                <label for="floatingInput">Email </label>
            </div>
            <div class="form-floating">
                <input v-model="form.password" type="password" class="form-control"  placeholder="Пароль">
                <label for="floatingPassword">Пароль</label>
            </div>
            <div v-for="err in errors" class="alert alert-danger d-flex align-items-center" role="alert">
                <svg class="bi flex-shrink-0 me-2" width="24" height="24" role="img" aria-label="Danger:">
                    <use xlink:href="#exclamation-triangle-fill"/></svg>
                <div>
                    {{ err }}
                </div>
            </div>
            <div class="checkbox mb-3">
                <label>
                    <input v-model="form.remember" type="checkbox" value="remember-me"> Запомнить меня
                </label>
            </div>
            <button class="w-100 btn btn-lg btn-primary" type="submit">Вход</button>
            <p class="mt-5 mb-3 text-muted">&copy; {{ new Date().getFullYear() }}</p>
        </form>
    </main>
    </body>
</template>

<style scoped>
html,
body {
    height: 100%;
}

body {
    display: flex;
    align-items: center;
    padding-top: 40px;
    padding-bottom: 40px;
    background-color: #f5f5f5;
}

.form-signin {
    width: 100%;
    max-width: 330px;
    padding: 15px;
    margin: auto;
}

.form-signin .checkbox {
    font-weight: 400;
}

.form-signin .form-floating:focus-within {
    z-index: 2;
}

.form-signin input[type="email"] {
    margin-bottom: -1px;
    border-bottom-right-radius: 0;
    border-bottom-left-radius: 0;
}

.form-signin input[type="password"] {
    margin-bottom: 10px;
    border-top-left-radius: 0;
    border-top-right-radius: 0;
}
</style>
